local fs = require "nixio.fs"

m = Map("modbus-to-http", translate("Modbus to HTTP"))

section_global = m:section(TypedSection, "global", translate("Enable/ Disable"))
section_global.anonymous = false
section_global.addremove = false
section_global.name = "global"

option_enabled = section_global:option(Flag, "enabled", translate("Enabled"),
    translate("Enable Modbus to HTTP"))
option_enabled.rmempty = false
option_enabled.default = "1"

s = m:section(TypedSection, "modbus_http", translate("Modbus HTTP"), "")
s.anonymous = true
s.addremove = false

http_url = s:option(Value, "http_url", translate("HTTP url"), translate("URL of the server to upload the data"))
http_url.datatype = "string"

--industry_id = s:option(Value, "industry_id", translate("Industry Id"), translate("Industry Id"))
--industry_id.datatype = "string"

--site_id = s:option(Value, "site_id", translate("Site Id"), translate("Site Id"))
--site_id.datatype = "string"

return m