local uci = require "luci.model.uci".cursor()
local ds = require "luci.dispatcher"
local sys = require "luci.sys"

m = Map("modbus-to-gsm", "SMS Notifications", "")

section_global = m:section(TypedSection, "global", translate("Enable/ Disable"))
section_global.anonymous = false
section_global.addremove = false
section_global.name = "global"

option_enabled = section_global:option(Flag, "enabled", translate("Enabled"),
    translate("Enable Modbus to SMS"))
option_enabled.rmempty = false
option_enabled.default = "1"


s = m:section(TypedSection, "modbus_to_gsm")
s.addremove = false
s.anonymous = true
--s.template = "cbi/tblsection"
--[[
ioa_address = s:option(Value, "ioa", "IOA Address")
ioa_address.datatype = "range(0, 32786)"

ioa_type = s:option(ListValue, "type_id", "IOA Type")
ioa_type:value("M_SP_NA_1", translate(" Single Point Information "))
ioa_type:value("M_DP_NA_1", translate(" Double Point Information "))

ioa_type:value("M_SP_TA_1", translate(" Single Point Information with timestamp 24"))
ioa_type:value("M_DP_TA_1", translate(" Double Point Information with timestamp 24"))

ioa_type:value("M_SP_TB_1", translate(" Single Point Information with timestamp 56"))
ioa_type:value("M_DP_TB_1", translate(" Double Point Information with timestamp 56"))

--ioa_type:value("34", translate(" Measured Value- normalized value with timestamp"))
--ioa_type:value("35", translate(" Measured Value- scaled value with timestamp"))
--ioa_type:value("36", translate(" Measured Value- short floating point value timestamp"))
--]]

--sms_numbers = s:option(DynamicList, "sms_numbers", translate("Authorized Numbers"))
sms_numbers = s:option(Value, "notification_recipient", "Authorized Numbers" ,translate("Mobile number should start with country code e.g 91"))
sms_numbers.datatype = "string"
--[[
text_0 = s:option(Value, "text_0", translate("Value 0"))
text_0.datatype = "string"

text_1 = s:option(Value, "text_1", translate("Value 1"))
text_1.datatype = "string"

text_2 = s:option(Value, "text_2", translate("Value 2"))
text_2.datatype = "string"

text_3 = s:option(Value, "text_3", translate("Value 3"))
text_3.datatype = "string"
--]]

return m
